Bug 26994 - xf86-video-openchrome does not build against >=libdrm-2.4.17
xf86-video-openchrome does not build against >=libdrm-2.4.17
Status: RESOLVED FIXED
Product: DRI
Classification: Unclassified
Component: libdrm
unspecified
Other All
: high normal
Assigned To: Default DRI bug account
http://www.openchrome.org/trac/ticket...
: patch
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-10 04:04 UTC by gvlists
Modified: 2010-05-12 10:42 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments
correct patch for this issue (490 bytes, patch)
2010-03-10 05:33 UTC, Bartosz Brachaczek
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description gvlists 2010-03-10 04:04:27 UTC
This is related to ticket 357 in Openchrome. 
http://www.openchrome.org/trac/ticket/357#comment:9
The latest SVN trunk openchrome does not build in Ubuntu 9.04 Jaunty (kernel 2.6.28). The solution suggested by openchrome guys is to add <stdint.h> in libdrm.
Comment 1 Bartosz Brachaczek 2010-03-10 05:26:01 UTC
(In reply to comment #0)
> The solution suggested by openchrome guys is to add <stdint.h> in
> libdrm.

Actually, gang65 suggested to replace uint{32,64}_t with _u{32,64} in drm_mode_crtc_page_flip struct in include/drm/drm_mode.h.
Comment 2 Bartosz Brachaczek 2010-03-10 05:33:29 UTC
Created attachment 33920 [details] [review]
correct patch for this issue
Comment 3 Chí-Thanh Christopher Nguyễn 2010-03-23 10:59:39 UTC
This breakage was introduced by commit 53addc5d6ef7406d9fab5ea481cf68fa011870f1
http://cgit.freedesktop.org/mesa/drm/commit/?id=53addc5d6ef7406d9fab5ea481cf68fa011870f1

Maybe the committer could comment on the patch.
Comment 4 Mart Raudsepp 2010-03-29 08:19:51 UTC
Looks like some other headers might have this issue as well, according to Bug 25881
Comment 5 Kristian Høgsberg 2010-05-12 10:42:18 UTC
Fixed in git.